## kicad 4.0.4+dfsg1

=== doc/kicad-doc-master/utils/old-build-scripts/Makefile ===
#############################
#
# General Makefile for multiformat/multilanguage
# automatic asciidoc documentation generation.
# This file should be kept as general as possible.
#
# Copyright (C) 2014 Free Software Foundation, Inc.
# This file under the GNU GPL version 3 or later.
#
#############################

SCRIPTSBASEDIR:=../../utils/old-build-scripts

#It takes the dir name as project name, and the doc title.
#expect the asciidoc main doc being of the same name 
#(i.e. ThisDirName.adoc)
DOCNAME:= $(shell basename `pwd`)

#Get doc title
DOCTITLE:= $(shell echo $(DOCNAME)|sed -e 's/_/ /')

#Translated files source dir
PODIR:=po

#Get list of languages from the list of .po files
LANGUAGES:= $(shell if [ -d "$(PODIR)" ]; then cd $(PODIR) ; ls -1 *.po|sed -e 's/\.po//'; fi)

#Get list of generated chapters translated files
DOCTRANSLATED:= $(foreach trans, $(LANGUAGES), $(wildcard $(DOCNAME)*-$(trans).adoc)) 

#Get list of chapter files
DOCCHAPTERS:= $(filter-out $(DOCTRANSLATED), $(wildcard $(DOCNAME)_*.adoc))

#DOCCHAPTERS:=$(wildcard $(DOCNAME)_*.adoc)

#I like HTML in Unix style text
ASCIIDOCVAR:= -a 'newline=\n' -v -a numbered

#Uncomment this to debug pdflatex
#DEBUGPDFLTX:= -d

#I like left side html toc
UTOC:= $(shell if [ -z "$$TOC2" ] ; then echo -n "-a toc2" ; fi )

#disabling some unuseful print and added custom dblatex style to generate a nice cover image
DBLATEXOPTS="-P latex.output.revhistory=0 -P doc.publisher.show=0 -s $(SCRIPTSBASEDIR)/pdf-cover-dblatex.sty $(DEBUGPDFLTX) -b xetex"
.SUFFIXES: #Disabe implicit rules


.PHONY: help
help:
	@echo "Void or invalid target. Use one of:"
	@echo "  pot        to build the english strings catalog .pot file"
	@echo "  $(PODIR)/NN.po   to build/update the single language NN i18n strings .po file"
#	@echo "  po-NN      to build/update the single language NN i18n strings .po file"
	@echo "  po-all     to update all languages i18n strings .po files"
	@echo "  adoc-all   to build all the i18n asciidoc files"
	@echo "  html       to make a standard (english) HTML file"
#	@echo "  html-NN    to make the single language NN i18n html file"
	@echo "  html-all   to make all i18n HTML files"
	@echo "  pdf        to make a standard (english) pdf file"
#	@echo "  pdf-NN     to make the single language NN i18n pdf file"
	@echo "  pdf-all    to make internationalized pdf files"
	@echo "  odt        to make a standard (english) odt file"
#	@echo "  odt-NN     to make the single language NN i18n odt file"
	@echo "  odt-all    to make internationalized odt files"
	@echo "  epub       to make a standard (english) epub file"
#	@echo "  epub-NN    to make the single language NN i18n epub file"
	@echo "  epub-all   to make internationalized epub files"
	@echo "  all        to make all of the above (english)"
	@echo "  all-all    to make all of the above"
	@echo ""
	@echo "Please use this Makefile inside the project dir."
	@echo "Default html has a side toc, to disable: export TOC2=no (or any other string) ; make html"
#	@echo ""
#	@echo "MAKEFILE DEBUG:"
#	@echo ""
#	@echo "DOCTITLE: $(DOCTITLE)"
#	@echo "LANGUAGES: $(LANGUAGES)"
#	@echo "DOTRANSLATED: $(DOCTRANSLATED)"
#	@echo "DOCCHAPTERS: $(DOCCHAPTERS)"


.PHONY: pot
pot: $(PODIR)/$(DOCNAME).pot

$(PODIR)/$(DOCNAME).pot: $(DOCNAME).adoc $(foreach l,$(DOCCHAPTERS), $(l))
	po4a-gettextize -f asciidoc -M utf-8 -m $(DOCNAME).adoc $(foreach pot,$(DOCCHAPTERS),-m $(pot)) -p $@

#Build/update the single language NN i18n strings .po file
#$(PODIR)/%.po: $(DOCNAME).adoc #Single file dependency
$(PODIR)/%.po: $(DOCNAME).adoc $(foreach l,$(DOCCHAPTERS), $(l))
	@po4a-updatepo -f asciidoc -v -M utf-8 -m $(DOCNAME).adoc $(foreach l,$(DOCCHAPTERS),-m $(l)) -p $@

.PHONY: po-all
po-all: $(foreach i,$(LANGUAGES),$(PODIR)/$(i).po)

#.PHONY: $(foreach i,$(LANGUAGES),po-$(i))
#.PHONY: it.po
#po-%: $(PODIR)/%.po
#po-it: $(PODIR)/it.po

#$(foreach i,$(LANGUAGES),po-$(i): $(PODIR)/$(i).po)

################ I18N ASCIIDOC

#Make the single language NN i18n file
$(DOCNAME)-%.adoc: $(PODIR)/%.po $(DOCNAME).adoc $(PODIR)/addendum.%
	po4a-translate -f asciidoc -a $(PODIR)/addendum.$* -A utf-8 -M utf-8 -m $(DOCNAME).adoc -p $(PODIR)/$*.po -k 0 -l $@ ; #translate master doc
	sed -i -e 's/include::$(DOCNAME)_\(.*\)\.adoc/include::$(DOCNAME)_\1-$*.adoc/' $(DOCNAME)-$*.adoc      #fix translated include files
	$(foreach l, $(DOCCHAPTERS) , po4a-translate -f asciidoc -A utf-8 -M utf-8 -m $(l) -p $(PODIR)/$*.po -k 0 -l $(shell basename -s .adoc $(l))-$*.adoc ; ) #translate chapter files

.PHONY: adoc-all
adoc-all: $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).adoc)

################ HTML

#English html
$(DOCNAME).html: $(DOCNAME).adoc $(DOCCHAPTERS)
	asciidoc $(UTOC) $(ASCIIDOCVAR) --theme flask $(DOCNAME).adoc ;

#I18n html
$(DOCNAME)-%.html: $(DOCNAME)-%.adoc
	asciidoc $(UTOC) $(ASCIIDOCVAR) --theme flask -a lang=$* $(DOCNAME)-$*.adoc ;

.PHONY: html
html: $(DOCNAME).html

.PHONY: html-all
html-all: html $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).html)

################ DOCBOOK

#English docbook
$(DOCNAME).xml: $(DOCNAME).adoc $(DOCCHAPTERS)
	asciidoc -b docbook $(ASCIIDOCVAR) $(DOCNAME).adoc

#I18n docbook
$(DOCNAME)-%.xml: $(DOCNAME)-%.adoc
	asciidoc -b docbook $(ASCIIDOCVAR) -a lang=$* $(DOCNAME)-$*.adoc

.PHONY: docbook
docbook: $(DOCNAME).xml

.PHONY: docbook-all
docbook-all: docbook $(DOCNAME).xml $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).xml)

################ PDF

#English pdf
$(DOCNAME).pdf: $(DOCNAME).adoc $(DOCCHAPTERS)
	a2x -f pdf $(ASCIIDOCVAR) --dblatex-opts $(DBLATEXOPTS) $(DOCNAME).adoc

#Japanese pdf
DBLATEXOPTS-JA="-b xetex -p ../../xsl/dblatex-pdf-ja.xsl -P latex.output.revhistory=0 -P doc.publisher.show=0 -s $(SCRIPTSBASEDIR)/pdf-cover-dblatex.sty $(DEBUGPDFLTX)"
$(DOCNAME)-ja.pdf: $(DOCNAME)-ja.adoc
	echo "Note: To make japanese pdf, you need to install fonts-vlgothic (like: sudo apt-get install fonts-vlgothic)."
	a2x -f pdf $(ASCIIDOCVAR) -a lang=ja --dblatex-opts $(DBLATEXOPTS-JA) $(DOCNAME)-ja.adoc

#I18n pdf
$(DOCNAME)-%.pdf: $(DOCNAME)-%.adoc
	a2x -f pdf $(ASCIIDOCVAR) -a lang=$* --dblatex-opts $(DBLATEXOPTS) $(DOCNAME)-$*.adoc

.PHONY: pdf
pdf: $(DOCNAME).pdf

.PHONY: pdf-all
pdf-all: pdf $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).pdf)

################ EPUB

#Build cover docinfo
$(DOCNAME)-docinfo.xml:
	$(shell sed -e 's/DOCTITLE/$(DOCTITLE)/' $(SCRIPTSBASEDIR)/epub-cover-docinfo-template.xml > $(DOCNAME)-docinfo.xml)

#	cp $(SCRIPTSBASEDIR)/epub-cover-docinfo-template-new.xml $(DOCNAME)-docinfo.xml


#Build i18n cover docinfo
$(DOCNAME)-%-docinfo.xml:
	$(shell sed -e 's/DOCTITLE/$(DOCTITLE)/' $(SCRIPTSBASEDIR)/epub-cover-docinfo-template.xml > $(DOCNAME)-$*-docinfo.xml)
#	cp $(SCRIPTSBASEDIR)/epub-cover-docinfo-template-new.xml $(DOCNAME)-$*-docinfo.xml

#English epub
$(DOCNAME).epub: $(DOCNAME).adoc $(DOCCHAPTERS) $(DOCNAME)-docinfo.xml
	a2x -f epub -a docinfo $(DOCNAME).adoc
#	rm $(DOCNAME)-docinfo.xml

#I18n epub
$(DOCNAME)-%.epub: $(DOCNAME)-%.adoc $(DOCNAME)-%-docinfo.xml
	a2x -f epub -a lang=$* -a docinfo $(DOCNAME)-$*.adoc

.PHONY: epub
epub: $(DOCNAME).epub

.PHONY: epub-all
epub-all: epub $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).epub)

################ ODT

#English odt
$(DOCNAME).odt: $(DOCNAME).xml
	pandoc -t odt -f docbook -o $(DOCNAME).odt $(DOCNAME).xml

#I18n odt
$(DOCNAME)-%.odt: $(DOCNAME)-%.xml
	pandoc -t odt -f docbook -o $(DOCNAME)-$*.odt $(DOCNAME)-$*.xml

.PHONY: odt
odt: $(DOCNAME).odt

.PHONY: odt-all
odt-all: odt $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).odt)

################ ALL

.PHONY: all
all: html pdf odt epub

.PHONY: all-all
all-all: adoc-all html-all pdf-all odt-all epub-all

################

.PHONY: clean
clean:
#Delete generated output
	rm -f $(DOCNAME).pdf
	rm -f $(DOCNAME).html
	rm -f $(DOCNAME).xml
	rm -f $(DOCNAME).epub
	rm -rf $(DOCNAME)*.epub.d
	rm -f $(DOCNAME)-docinfo.xml
	rm -f $(DOCNAME).odt
	rm -f $(foreach i,$(LANGUAGES),$(DOCNAME)*-$(i).*)

=== debian/changelog ===
kicad (4.0.4+dfsg1-1) unstable; urgency=medium

  * checked that 4.0.2+dfsg1-2~bpo8+1-1 is available. Closes: #811268
  * modified .install files to install kicad.mo files. Closes: #819855
  * applied Graham Inggs' patch. Closes: #834246
  * added a Recommends: for xsltproc. Closes: #826750
  * updated Standards-Version to 3.9.8
  * upgraded to the last upstream version. Closes: #833777
  * added build-dependencies on texlive-lang-cyrillic and texlive-fonts-extra

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 May 2016 16:14:08 +0200

=== debian/control ===
Source: kicad
Section: electronics
Priority: optional
Maintainer:  Georges Khaznadar <georgesk@debian.org>
Uploaders: Richard Antony Burton <richardaburton@gmail.com>,
 Daniel J. Priem <danielpriem@flexserv.de>
Build-Depends: debhelper (>= 9), quilt,
 cmake, pkg-config, doxygen, imagemagick, gettext,
 libwxgtk3.0-dev, libglew-dev, libcairo2-dev, libbz2-dev,
 libboost-dev, libboost-context-dev, libboost-date-time-dev,
 libboost-filesystem-dev, libboost-iostreams-dev,
 libboost-locale-dev, libboost-program-options-dev,
 libboost-regex-dev, libboost-system-dev, libboost-thread-dev,
 dblatex, po4a, asciidoc, git, texlive-xetex, pandoc, gettext, fonts-vlgothic,
 texlive-lang-english, texlive-lang-french, texlive-lang-italian,
 texlive-lang-japanese, texlive-lang-polish, texlive-lang-german,
 texlive-lang-spanish, texlive-lang-cyrillic,
 texlive-lang-european, texlive-fonts-extra,
 source-highlight,
 libxml2-utils, docbook-utils, xmlto,
 libtext-wrapi18n-perl,
 libterm-readkey-perl,
 liblocale-gettext-perl,
 libunicode-linebreak-perl,
 lmodern, docbook-xsl,
 python-wxgtk3.0-dev, swig, python-all, python-dev, libpython-stdlib
Standards-Version: 3.9.8
Homepage: http://www.kicad-pcb.org

Package: kicad
Architecture: any
Depends: kicad-common (>= ${source:Version}),
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libglew1.13|libglew1.10, python-wxgtk3.0
Suggests: extra-xdg-menus,
	kicad-doc-en | kicad-doc-fr | kicad-doc-it | kicad-doc-ja | kicad-doc-nl | kicad-doc-pl
Recommends: xsltproc
Description: Electronic schematic and PCB design software
 Kicad is a suite of programs for the creation of printed circuit boards.
 It includes a schematic editor, a PCB layout tool, support tools and a
 3D viewer to display a finished & fully populated PCB.
 .
 Kicad is made up of 5 main components:
 .
  * kicad - project manager
  * eeschema - schematic editor
  * pcbnew - PCB editor
  * gerbview - GERBER viewer
  * cvpcb - footprint selector for components
 .
 Libraries:
  * Both eeschema and pcbnew have library managers and editors for their
    components and footprints
  * You can easily create, edit, delete and exchange library items
  * Documentation files can be associated with components, footprints and key
    words, allowing a fast search by function
  * Very large libraries are available for schematic components and footprints
  * Most components have corresponding 3D models

Package: kicad-common
Architecture: all
Depends: ${misc:Depends}
Recommends: kicad
Description: Common files used by kicad
 This package contains the component libraries and language files for Kicad.

Package: kicad-doc-en
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (English)
 This package provides documentation for Kicad in English.

Package: kicad-doc-de
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (German)
 This package provides documentation for Kicad in German.

Package: kicad-doc-es
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Spanish)
 This package provides documentation for Kicad in Spanish.

Package: kicad-doc-fr
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (French)
 This package provides documentation for Kicad in French.

Package: kicad-doc-it
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Italian)
 This package provides documentation for Kicad in Italian.

Package: kicad-doc-ja
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Japanese)
 This package provides documentation for Kicad in Japanese.

# Package: kicad-doc-hu
# Architecture: all
# Depends: ${misc:Depends}
# Description: Kicad help files (Hungarian)
#  This package provides documentation for Kicad in Hungarian.

Package: kicad-doc-nl
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Dutch)
 This package provides documentation for Kicad in Dutch.

Package: kicad-doc-pl
Architecture: all
Depends: ${misc:Depends}
Description: Kicad help files (Polish)
 This package provides documentation for Kicad in Polish.

# Package: kicad-doc-pt
# Architecture: all
# Depends: ${misc:Depends}
# Description: Kicad help files (Portuguese)
#  This package provides documentation for Kicad in Portuguese.

# Package: kicad-doc-ru
# Architecture: all
# Depends: ${misc:Depends}
# Description: Kicad help files (Russian)
#  This package provides documentation for Kicad in Russian.

# Package: kicad-doc-zh-cn
# Architecture: all
# Depends: ${misc:Depends}
# Description: Kicad help files (Simplified Chinese)
#  This package provides documentation for Kicad in Simplified Chinese.

## kicad 4.0.5%2Bdfsg1

=== CMakeLists.txt ===
include_directories( BEFORE ${INC_BEFORE} )
include_directories(
    ./dialogs
    ./dialog_about
    ${CAIRO_INCLUDE_DIR}
    ${GLEW_INCLUDE_DIR}
    ../3d-viewer
    ../pcbnew
    ../polygon
    ${INC_AFTER}
    )

# Generate header files containing shader programs
# Order of input files is significant
add_custom_command(
    OUTPUT gal/opengl/shader_src.h
    COMMAND ${CMAKE_COMMAND}
        -DinputFiles="${PROJECT_SOURCE_DIR}/common/gal/opengl/shader.vert\\;${PROJECT_SOURCE_DIR}/common/gal/opengl/shader.frag"
        -DoutputFile="shader_src.h"
        -P ${CMAKE_MODULE_PATH}/Shaders.cmake
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/common/gal/opengl
    COMMENT "Generating headers containing GLSL source code"
    )

add_custom_target(
    shader_headers ALL
    DEPENDS gal/opengl/shader_src.h
    )

set( GAL_SRCS
    # Common part
    draw_panel_gal.cpp
    painter.cpp
    worksheet_viewitem.cpp
    origin_viewitem.cpp
    gal/graphics_abstraction_layer.cpp
    gal/stroke_font.cpp
    gal/color4d.cpp
    view/view_controls.cpp
    view/wx_view_controls.cpp
    geometry/hetriang.cpp

    # OpenGL GAL
    gal/opengl/opengl_gal.cpp
    gal/opengl/shader.cpp
    gal/opengl/vertex_item.cpp
    gal/opengl/vertex_container.cpp
    gal/opengl/cached_container.cpp
    gal/opengl/noncached_container.cpp
    gal/opengl/vertex_manager.cpp
    gal/opengl/gpu_manager.cpp
    gal/opengl/opengl_compositor.cpp

    # Cairo GAL
    gal/cairo/cairo_gal.cpp
    gal/cairo/cairo_compositor.cpp
    )

add_library( gal STATIC ${GAL_SRCS} )
add_dependencies( gal shader_headers )
add_dependencies( gal lib-dependencies )

target_link_libraries( gal
    ${GLEW_LIBRARIES}
    ${CAIRO_LIBRARIES}
    ${PIXMAN_LIBRARY}
    ${OPENGL_LIBRARIES}
)


# Only for win32 cross compilation using MXE
if( WIN32 AND MSYS )
    add_definitions( -DGLEW_STATIC )
endif()


# A shared library subsetted from common which restricts what can go into
# a single_top link image.  By not linking to common, we control what does
# statically go into single_top link images.  My current thinking is that only
# wxWidgets should be a shared link from single top, everything else should be
# statically bound into it. Otherwise you will have DSO loading problems. After it
# sets the LIB PATHS however, we want the *.kiface modules to use shared linking.
add_library( singletop STATIC EXCLUDE_FROM_ALL
    confirm.cpp
    eda_doc.cpp
    kiway.cpp
    kiway_holder.cpp
    )


# A shared library used by multiple *.kiface files and one or two program
# launchers.  Object files can migrate into here over time, but only if they are
# surely needed and certainly used from more than one place without recompilation.
# Functions and data all need to use the #include <import_export.h> and be declared
# as APIEXPORT
set( LIB_KICAD_SRCS
    colors.cpp
    dlist.cpp
    string.cpp
    )

if( future )
add_library( lib_kicad SHARED
    )
target_link_libraries( lib_kicad
    ${wxWidgets_LIBRARIES}
    )
set_target_properties( lib_kicad PROPERTIES
    OUTPUT_NAME     ki
    )
install( TARGETS lib_kicad
    DESTINATION ${KICAD_BIN}
    COMPONENT binary
    )
endif()


# KiCad build version string defaults to "no-vcs-found" which forces the build version header
# command to look for git to create the version string header when the .git path is found in
# the source path.
set( KICAD_BRANCH_NAME "" CACHE STRING "KiCad repository name." )
set( KICAD_VERSION_EXTRA "" CACHE STRING
    "User defined configuration string to append to KiCad version." )

# Generate version header file.
add_custom_target(
    version_header ALL
    COMMAND ${CMAKE_COMMAND}
        -DKICAD_VERSION=${KICAD_VERSION}
        -DKICAD_BRANCH_NAME=${KICAD_BRANCH_NAME}
        -DKICAD_VERSION_EXTRA=${KICAD_VERSION_EXTRA}
        -DOUTPUT_FILE=${CMAKE_BINARY_DIR}/kicad_build_version.h
        -DSRC_PATH=${PROJECT_SOURCE_DIR}
        -DCMAKE_MODULE_PATH=${CMAKE_MODULE_PATH}
        -P ${CMAKE_MODULE_PATH}/WriteVersionHeader.cmake
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Generating version string header"
    )

set( COMMON_ABOUT_DLG_SRCS
    dialog_about/AboutDialog_main.cpp
    dialog_about/dialog_about.cpp
    dialog_about/dialog_about_base.cpp
    dialogs/dialog_display_info_HTML_base.cpp
    dialogs/dialog_exit_base.cpp
    dialogs/dialog_image_editor.cpp
    dialogs/dialog_image_editor_base.cpp
    dialogs/dialog_get_component.cpp
    dialogs/dialog_get_component_base.cpp
    dialogs/dialog_hotkeys_editor.cpp
    dialogs/dialog_hotkeys_editor_base.cpp
    dialogs/dialog_list_selector_base.cpp
    dialogs/dialog_page_settings_base.cpp
    dialogs/dialog_env_var_config_base.cpp
    dialogs/dialog_env_var_config.cpp
    dialogs/wx_html_report_panel_base.cpp
    dialogs/wx_html_report_panel.cpp
    )

set( COMMON_PAGE_LAYOUT_SRCS
    page_layout/title_block_shapes.cpp
    page_layout/class_worksheet_dataitem.cpp
    page_layout/class_worksheet_layout.cpp
    page_layout/page_layout_default_description.cpp
    page_layout/page_layout_graphic_items.cpp
    page_layout/page_layout_reader_keywords.cpp
    page_layout/page_layout_reader.cpp
    )

set( COMMON_SRCS
    ${LIB_KICAD_SRCS}
    ${COMMON_ABOUT_DLG_SRCS}
    ${COMMON_PAGE_LAYOUT_SRCS}
    base_struct.cpp
    basicframe.cpp
    bezier_curves.cpp
    bin_mod.cpp
    bitmap.cpp
    block_commande.cpp
    build_version.cpp
    class_bitmap_base.cpp
    class_colors_design_settings.cpp
    class_layer_box_selector.cpp
    class_marker_base.cpp
    class_plotter.cpp
    class_undoredo_container.cpp
    colors.cpp
    common.cpp
    common_plot_functions.cpp
    common_plotHPGL_functions.cpp
    common_plotPS_functions.cpp
    common_plotPDF_functions.cpp
    common_plotGERBER_functions.cpp
    common_plotDXF_functions.cpp
    common_plotSVG_functions.cpp
    config_params.cpp
    confirm.cpp
    copy_to_clipboard.cpp
    convert_basic_shapes_to_polygon.cpp
    dialog_shim.cpp
    displlst.cpp
    draw_frame.cpp
    draw_panel.cpp
    drawtxt.cpp
    dsnlexer.cpp
    eda_dde.cpp
    eda_doc.cpp
    filter_reader.cpp
#    findkicadhelppath.cpp.notused      deprecated, use searchhelpfilefullpath.cpp
    gestfich.cpp
    getrunningmicrosecs.cpp
    grid_tricks.cpp
    gr_basic.cpp
    hotkeys_basic.cpp
    html_messagebox.cpp
    kiface_i.cpp
    kiway.cpp
    kiway_express.cpp
    kiway_holder.cpp
    kiway_player.cpp
    lockfile.cpp
    msgpanel.cpp
    netlist_keywords.cpp
    newstroke_font.cpp
    prependpath.cpp
    project.cpp
    ptree.cpp
    reporter.cpp
    richio.cpp
    searchhelpfilefullpath.cpp
    search_stack.cpp
    selcolor.cpp
    systemdirsappend.cpp
    trigo.cpp
    utf8.cpp
    validators.cpp
    wildcards_and_files_ext.cpp
    worksheet.cpp
    wxwineda.cpp
    wx_unit_binder.cpp
    wx_status_popup.cpp
    xnode.cpp
    zoom.cpp
    )

if( TRUE OR NOT USE_KIWAY_DLLS )
#if( NOT USE_KIWAY_DLLS )
    # We DO NOT want pgm_base.cpp linked into the KIFACE, only into the KIWAY.
    # Check the map files to verify eda_pgm.o not being linked in.
    list( APPEND COMMON_SRCS pgm_base.cpp )
endif()

if( NOT HAVE_STRTOKR )
    list( APPEND COMMON_SRCS strtok_r.c )
endif()


set( COMMON_SRCS
    ${COMMON_SRCS}
    view/view.cpp
    view/view_item.cpp
    view/view_group.cpp

    math/math_util.cpp

    tool/tool_action.cpp
    tool/tool_base.cpp
    tool/tool_manager.cpp
    tool/tool_dispatcher.cpp
    tool/tool_event.cpp
    tool/tool_interactive.cpp
    tool/action_manager.cpp
    tool/context_menu.cpp

    geometry/seg.cpp
    geometry/shape.cpp
    geometry/shape_line_chain.cpp
    geometry/shape_poly_set.cpp
    geometry/shape_collisions.cpp
    geometry/shape_file_io.cpp
    )
add_library( common STATIC ${COMMON_SRCS} )
add_dependencies( common lib-dependencies )
add_dependencies( common version_header )
target_link_libraries( common ${Boost_LIBRARIES} )


set( PCB_COMMON_SRCS
    base_screen.cpp
    eda_text.cpp
    class_page_info.cpp
    pcbcommon.cpp
    lset.cpp
    footprint_info.cpp
    ../pcbnew/basepcbframe.cpp
    ../pcbnew/class_board.cpp
    ../pcbnew/class_board_connected_item.cpp
    ../pcbnew/class_board_design_settings.cpp
    ../pcbnew/class_board_item.cpp
    ../pcbnew/class_dimension.cpp
    ../pcbnew/class_drawsegment.cpp
    ../pcbnew/class_drc_item.cpp
    ../pcbnew/class_edge_mod.cpp
    ../pcbnew/class_netclass.cpp
    ../pcbnew/class_netinfo_item.cpp
    ../pcbnew/class_netinfolist.cpp
    ../pcbnew/class_marker_pcb.cpp
    ../pcbnew/class_mire.cpp
    ../pcbnew/class_module.cpp
    ../pcbnew/class_pad.cpp
    ../pcbnew/class_pad_draw_functions.cpp
    ../pcbnew/class_pcb_text.cpp
    ../pcbnew/class_text_mod.cpp
    ../pcbnew/class_track.cpp
    ../pcbnew/class_zone.cpp
    ../pcbnew/class_zone_settings.cpp
    ../pcbnew/classpcb.cpp
    ../pcbnew/ratsnest_data.cpp
    ../pcbnew/ratsnest_viewitem.cpp
    ../pcbnew/collectors.cpp
    ../pcbnew/netlist_reader.cpp
    ../pcbnew/legacy_netlist_reader.cpp
    ../pcbnew/kicad_netlist_reader.cpp
    ../pcbnew/sel_layer.cpp
    ../pcbnew/pcb_plot_params.cpp
    ../pcbnew/io_mgr.cpp
    ../pcbnew/plugin.cpp
    ../pcbnew/eagle_plugin.cpp
    ../pcbnew/legacy_plugin.cpp
    ../pcbnew/kicad_plugin.cpp
    ../pcbnew/gpcb_plugin.cpp
    ../pcbnew/pcb_netlist.cpp
    ../pcbnew/specctra.cpp
    ../pcbnew/specctra_export.cpp
    ../pcbnew/specctra_keywords.cpp
    pcb_plot_params_keywords.cpp
    pcb_keywords.cpp
    ../pcbnew/pcb_parser.cpp
    fp_lib_table_keywords.cpp
    fpid.cpp
    fp_lib_table.cpp
)

set( PCB_COMMON_SRCS
    ${PCB_COMMON_SRCS}
    ../pcbnew/pcb_painter.cpp
    )

# add -DPCBNEW to compilation of these PCBNEW sources
set_source_files_properties( ${PCB_COMMON_SRCS} PROPERTIES
    COMPILE_DEFINITIONS "PCBNEW"
    )

add_library( pcbcommon STATIC ${PCB_COMMON_SRCS} )
add_dependencies( pcbcommon lib-dependencies )

# auto-generate specctra_lexer.h and specctra_keywords.cpp
make_lexer(
    ${PROJECT_SOURCE_DIR}/pcbnew/specctra.keywords
    ${PROJECT_SOURCE_DIR}/pcbnew/specctra_lexer.h
    ${PROJECT_SOURCE_DIR}/pcbnew/specctra_keywords.cpp
    DSN

    # Pass header file with dependency on *_lexer.h as extra_arg
    specctra.h
    )

add_custom_target(
    specctra_lexer_source_files ALL
    DEPENDS
        ${PROJECT_SOURCE_DIR}/pcbnew/specctra_lexer.h
        ${PROJECT_SOURCE_DIR}/pcbnew/specctra_keywords.cpp
    )

add_dependencies( pcbcommon specctra_lexer_source_files )

# auto-generate netlist_lexer.h and netlist_keywords.cpp
make_lexer(
    ${CMAKE_CURRENT_SOURCE_DIR}/netlist.keywords
    ${PROJECT_SOURCE_DIR}/include/netlist_lexer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/netlist_keywords.cpp
    NL_T

    # Pass header file with dependency on *_lexer.h as extra_arg
    ${CMAKE_PROJECT_SOURCE_DIR}/pcbnew/netlist_reader.h
    )

add_custom_target(
    netlist_lexer_source_files ALL
    DEPENDS
        ${PROJECT_SOURCE_DIR}/include/netlist_lexer.h
        ${CMAKE_CURRENT_SOURCE_DIR}/netlist_keywords.cpp
    )

add_dependencies( common netlist_lexer_source_files )
add_dependencies( pcbcommon netlist_lexer_source_files )

# auto-generate pcb_plot_params_lexer.h and pcb_plot_params_keywords.cpp
make_lexer(
    ${CMAKE_CURRENT_SOURCE_DIR}/pcb_plot_params.keywords
    ${PROJECT_SOURCE_DIR}/include/pcb_plot_params_lexer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/pcb_plot_params_keywords.cpp
    PCBPLOTPARAMS_T

    # Pass header file with dependencies on *_lexer.h as extra_arg
    ${PROJECT_SOURCE_DIR}/pcbnew/pcb_plot_params.h
    )

add_custom_target(
    pcb_plot_lexer_source_files ALL
    DEPENDS
        ${PROJECT_SOURCE_DIR}/include/pcb_plot_params_lexer.h
        ${CMAKE_CURRENT_SOURCE_DIR}/pcb_plot_params_keywords.cpp
    )

add_dependencies( pcbcommon pcb_plot_lexer_source_files )

# auto-generate pcbnew_sexpr.h and pcbnew_sexpr.cpp
make_lexer(
    ${CMAKE_CURRENT_SOURCE_DIR}/pcb.keywords
    ${PROJECT_SOURCE_DIR}/include/pcb_lexer.h
    ${CMAKE_CURRENT_SOURCE_DIR}/pcb_keywords.cpp
    PCB_KEYS_T

=== github/CMakeLists.txt ===
#  This program source code file is part of KICAD, a free EDA CAD application.
#
#  Copyright (C) 2013 SoftPLC Corporation, Dick Hollenbeck <dick@softplc.com>
#  Copyright (C) 2013 Kicad Developers, see AUTHORS.txt for contributors.
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, you may find one here:
#  http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#  or you may search the http://www.gnu.org website for the version 2 license,
#  or you may write to the Free Software Foundation, Inc.,
#  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA



# Download avhttp and install the headers, not actually compiled
#################################################
include( download_avhttp )

if( MINGW AND NOT OPENSSL_ROOT_DIR )
    # download, compile and install to scratch dir a recent OPENSSL library and headers
    include( download_openssl )
else()
    find_package( OpenSSL REQUIRED )
    #message( STATUS "OPENSSL_FOUND:${OPENSSL_FOUND}  OPENSSL_LIBRARIES:${OPENSSL_LIBRARIES}" )

    # FindOpenSSL.cmake does not set this var into cache, so is not globally visible,
    # do it here incase some other link image needs these libraries
    set( OPENSSL_LIBRARIES   "${OPENSSL_LIBRARIES}"   CACHE FILEPATH "OpenSSL link libraries" )
    set( OPENSSL_INCLUDE_DIR "${OPENSSL_INCLUDE_DIR}" CACHE FILEPATH "OpenSSL include dir" )
endif()


# These are additions to any inherited from pcbnew dir:
include_directories( . ${OPENSSL_INCLUDE_DIR} ${AVHTTP_INCLUDE_DIR} )

# Tell AVHTTP we have SSL.
add_definitions( -DAVHTTP_ENABLE_OPENSSL )

# tone down the compiler warnings for avhttp header library:
set( CMAKE_CXX_FLAGS
    "${CMAKE_CXX_FLAGS} -Wno-sign-compare -Wno-reorder -Wno-unused-variable -Wno-unused-function -Wno-strict-aliasing" )

set( GITHUB_PLUGIN_SRCS
    github_plugin.cpp github_getliblist.cpp html_link_parser.cpp
    )

add_library( github_plugin STATIC ${GITHUB_PLUGIN_SRCS} )

# No, you don't get github without boost and openssl. Boost_LIBRARIES now moved up
# into CMakeLists.txt for pcbnew and cvpcb:
target_link_libraries( github_plugin
    ${OPENSSL_LIBRARIES}
    )

if( MINGW )
    target_link_libraries( github_plugin
        ${wxWidgets_LIBRARIES}
        ws2_32
        )
endif()

add_dependencies( github_plugin boost )
add_dependencies( github_plugin avhttp )

if( MINGW AND NOT OPENSSL_ROOT_DIR )
    add_dependencies( github_plugin openssl )
endif()

=== pcad2kicadpcb_plugin/CMakeLists.txt ===

# Sources for the pcbnew PLUGIN called PCAD_PLUGIN

# This CMakeLists.txt is included from pcbnew, so we are inheriting its include_directories(),
# simply add the current source dir to inherited include_directories() for sources in here only.
include_directories( . )


set( PCAD2PCBNEW_SRCS
    pcad2kicad_common.cpp
    pcad_plugin.cpp
    pcb.cpp
    pcb_arc.cpp
    pcb_component.cpp
    pcb_copper_pour.cpp
    pcb_cutout.cpp
    pcb_keepout.cpp
    pcb_line.cpp
    pcb_module.cpp
    pcb_net.cpp
    pcb_pad.cpp
    pcb_pad_shape.cpp
    pcb_plane.cpp
    pcb_polygon.cpp
    pcb_text.cpp
    pcb_via.cpp
    pcb_via_shape.cpp
    s_expr_loader.cpp
    )

add_library( pcad2kicadpcb STATIC ${PCAD2PCBNEW_SRCS} )
add_dependencies( pcad2kicadpcb pcbcommon )

=== mac-osx/dmg-generator/Makefile ===
###########
# KiCad OSX DMG packaging
# Create a bin directory and copy the .app files in
# Create a build directory
# Then execute the makefile
#
# Original credits by Adium developers !
# http://www.adium.im
###########
VERSION=`date +%Y%m%d`

###########
# Variables
###########
BUILD_DIR=build
APP_DIR=release
KICAD_DIR=$(BUILD_DIR)
RELEASE_NAME=kicad-$(VERSION)

###########
# Targets
###########
all:
	echo "Copying application bundles"
	mkdir release
	cp -R ../../../*/*.app release
	echo "Building kicad-${VERSION}.dmg"
	rm -rfv build
	mkdir build	

	cp -r $(APP_DIR)/* $(BUILD_DIR)
	mkdir -p $(BUILD_DIR)/.background
	cp Artwork/dmgBackground.png $(BUILD_DIR)/.background
	./mkalias -r /Applications $(BUILD_DIR)/Applications

	mkdir -p $(BUILD_DIR)/.background

	./make-diskimage.sh $(BUILD_DIR)/$(RELEASE_NAME).dmg $(KICAD_DIR) "KiCad" dmg_kicad.scpt $(ART_DIR)
	
	@echo "Build finished. `md5 $(BUILD_DIR)/$(RELEASE_NAME).dmg`"

=== utils/old-build-scripts/Makefile ===
#############################
#
# General Makefile for multiformat/multilanguage
# automatic asciidoc documentation generation.
# This file should be kept as general as possible.
#
# Copyright (C) 2014 Free Software Foundation, Inc.
# This file under the GNU GPL version 3 or later.
#
#############################

SCRIPTSBASEDIR:=../../utils/old-build-scripts

#It takes the dir name as project name, and the doc title.
#expect the asciidoc main doc being of the same name 
#(i.e. ThisDirName.adoc)
DOCNAME:= $(shell basename `pwd`)

#Get doc title
DOCTITLE:= $(shell echo $(DOCNAME)|sed -e 's/_/ /')

#Translated files source dir
PODIR:=po

#Get list of languages from the list of .po files
LANGUAGES:= $(shell if [ -d "$(PODIR)" ]; then cd $(PODIR) ; ls -1 *.po|sed -e 's/\.po//'; fi)

#Get list of generated chapters translated files
DOCTRANSLATED:= $(foreach trans, $(LANGUAGES), $(wildcard $(DOCNAME)*-$(trans).adoc)) 

#Get list of chapter files
DOCCHAPTERS:= $(filter-out $(DOCTRANSLATED), $(wildcard $(DOCNAME)_*.adoc))

#DOCCHAPTERS:=$(wildcard $(DOCNAME)_*.adoc)

#I like HTML in Unix style text
ASCIIDOCVAR:= -a 'newline=\n' -v

#Uncomment this to debug pdflatex
#DEBUGPDFLTX:= -d

#I like left side html toc
UTOC:= $(shell if [ -z "$$TOC2" ] ; then echo -n "-a toc2" ; fi )

#disabling some unuseful print and added custom dblatex style to generate a nice cover image
DBLATEXOPTS="-P latex.output.revhistory=0 -P doc.publisher.show=0 -s $(SCRIPTSBASEDIR)/pdf-cover-dblatex.sty $(DEBUGPDFLTX) -b xetex"
.SUFFIXES: #Disabe implicit rules


.PHONY: help
help:
	@echo "Void or invalid target. Use one of:"
	@echo "  pot        to build the english strings catalog .pot file"
	@echo "  $(PODIR)/NN.po   to build/update the single language NN i18n strings .po file"
#	@echo "  po-NN      to build/update the single language NN i18n strings .po file"
	@echo "  po-all     to update all languages i18n strings .po files"
	@echo "  adoc-all   to build all the i18n asciidoc files"
	@echo "  html       to make a standard (english) HTML file"
#	@echo "  html-NN    to make the single language NN i18n html file"
	@echo "  html-all   to make all i18n HTML files"
	@echo "  pdf        to make a standard (english) pdf file"
#	@echo "  pdf-NN     to make the single language NN i18n pdf file"
	@echo "  pdf-all    to make internationalized pdf files"
	@echo "  odt        to make a standard (english) odt file"
#	@echo "  odt-NN     to make the single language NN i18n odt file"
	@echo "  odt-all    to make internationalized odt files"
	@echo "  epub       to make a standard (english) epub file"
#	@echo "  epub-NN    to make the single language NN i18n epub file"
	@echo "  epub-all   to make internationalized epub files"
	@echo "  all        to make all of the above (english)"
	@echo "  all-all    to make all of the above"
	@echo ""
	@echo "Please use this Makefile inside the project dir."
	@echo "Default html has a side toc, to disable: export TOC2=no (or any other string) ; make html"
#	@echo ""
#	@echo "MAKEFILE DEBUG:"
#	@echo ""
#	@echo "DOCTITLE: $(DOCTITLE)"
#	@echo "LANGUAGES: $(LANGUAGES)"
#	@echo "DOTRANSLATED: $(DOCTRANSLATED)"
#	@echo "DOCCHAPTERS: $(DOCCHAPTERS)"


.PHONY: pot
pot: $(PODIR)/$(DOCNAME).pot

$(PODIR)/$(DOCNAME).pot: $(DOCNAME).adoc $(foreach l,$(DOCCHAPTERS), $(l))
	po4a-gettextize -f asciidoc -M utf-8 -m $(DOCNAME).adoc $(foreach pot,$(DOCCHAPTERS),-m $(pot)) -p $@

#Build/update the single language NN i18n strings .po file
#$(PODIR)/%.po: $(DOCNAME).adoc #Single file dependency
$(PODIR)/%.po: $(DOCNAME).adoc $(foreach l,$(DOCCHAPTERS), $(l))
	@po4a-updatepo -f asciidoc -v -M utf-8 -m $(DOCNAME).adoc $(foreach l,$(DOCCHAPTERS),-m $(l)) -p $@

.PHONY: po-all
po-all: $(foreach i,$(LANGUAGES),$(PODIR)/$(i).po)

#.PHONY: $(foreach i,$(LANGUAGES),po-$(i))
#.PHONY: it.po
#po-%: $(PODIR)/%.po
#po-it: $(PODIR)/it.po

#$(foreach i,$(LANGUAGES),po-$(i): $(PODIR)/$(i).po)

################ I18N ASCIIDOC

#Make the single language NN i18n file
$(DOCNAME)-%.adoc: $(PODIR)/%.po $(DOCNAME).adoc $(PODIR)/addendum.%
	po4a-translate -f asciidoc -a $(PODIR)/addendum.$* -A utf-8 -M utf-8 -m $(DOCNAME).adoc -p $(PODIR)/$*.po -k 0 -l $@ ; #translate master doc
	sed -i -e 's/include::$(DOCNAME)_\(.*\)\.adoc/include::$(DOCNAME)_\1-$*.adoc/' $(DOCNAME)-$*.adoc      #fix translated include files
	$(foreach l, $(DOCCHAPTERS) , po4a-translate -f asciidoc -A utf-8 -M utf-8 -m $(l) -p $(PODIR)/$*.po -k 0 -l $(shell basename -s .adoc $(l))-$*.adoc ; ) #translate chapter files

.PHONY: adoc-all
adoc-all: $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).adoc)

################ HTML

#English html
$(DOCNAME).html: $(DOCNAME).adoc $(DOCCHAPTERS)
	asciidoc $(UTOC) $(ASCIIDOCVAR) --theme flask $(DOCNAME).adoc ;

#I18n html
$(DOCNAME)-%.html: $(DOCNAME)-%.adoc
	asciidoc $(UTOC) $(ASCIIDOCVAR) --theme flask -a lang=$* $(DOCNAME)-$*.adoc ;

.PHONY: html
html: $(DOCNAME).html

.PHONY: html-all
html-all: html $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).html)

################ DOCBOOK

#English docbook
$(DOCNAME).xml: $(DOCNAME).adoc $(DOCCHAPTERS)
	asciidoc -b docbook $(ASCIIDOCVAR) $(DOCNAME).adoc

#I18n docbook
$(DOCNAME)-%.xml: $(DOCNAME)-%.adoc
	asciidoc -b docbook $(ASCIIDOCVAR) -a lang=$* $(DOCNAME)-$*.adoc

.PHONY: docbook
docbook: $(DOCNAME).xml

.PHONY: docbook-all
docbook-all: docbook $(DOCNAME).xml $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).xml)

################ PDF

#English pdf
$(DOCNAME).pdf: $(DOCNAME).adoc $(DOCCHAPTERS)
	a2x -f pdf $(ASCIIDOCVAR) --dblatex-opts $(DBLATEXOPTS) $(DOCNAME).adoc

#Japanese pdf
DBLATEXOPTS-JA="-b xetex -p ../../xsl/dblatex-pdf-ja.xsl -P latex.output.revhistory=0 -P doc.publisher.show=0 -s $(SCRIPTSBASEDIR)/pdf-cover-dblatex.sty $(DEBUGPDFLTX)"
$(DOCNAME)-ja.pdf: $(DOCNAME)-ja.adoc
	echo "Note: To make japanese pdf, you need to install fonts-vlgothic (like: sudo apt-get install fonts-vlgothic)."
	a2x -f pdf $(ASCIIDOCVAR) -a lang=ja --dblatex-opts $(DBLATEXOPTS-JA) $(DOCNAME)-ja.adoc

#Russian pdf
DBLATEXOPTS-RU=" -b xetex -p ../../xsl/dblatex-pdf-ru.xsl -P latex.output.revhistory=0 -P doc.publisher.show=0 -s $(SCRIPTSBASEDIR)/pdf-cover-dblatex.sty $(DEBUGPDFLTX)"
$(DOCNAME)-ru.pdf: $(DOCNAME)-ru.adoc
	a2x -L -f pdf $(ASCIIDOCVAR) -a lang=ru --dblatex-opts $(DBLATEXOPTS-RU) $(DOCNAME)-ru.adoc

#all other I18n pdf
$(DOCNAME)-%.pdf: $(DOCNAME)-%.adoc
	a2x -f pdf $(ASCIIDOCVAR) -a lang=$* --dblatex-opts $(DBLATEXOPTS) $(DOCNAME)-$*.adoc

.PHONY: pdf
pdf: $(DOCNAME).pdf

.PHONY: pdf-all
pdf-all: pdf $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).pdf)

################ EPUB

#Build cover docinfo
$(DOCNAME)-docinfo.xml:
	$(shell sed -e 's/DOCTITLE/$(DOCTITLE)/' $(SCRIPTSBASEDIR)/epub-cover-docinfo-template.xml > $(DOCNAME)-docinfo.xml)

#	cp $(SCRIPTSBASEDIR)/epub-cover-docinfo-template-new.xml $(DOCNAME)-docinfo.xml


#Build i18n cover docinfo
$(DOCNAME)-%-docinfo.xml:
	$(shell sed -e 's/DOCTITLE/$(DOCTITLE)/' $(SCRIPTSBASEDIR)/epub-cover-docinfo-template.xml > $(DOCNAME)-$*-docinfo.xml)
#	cp $(SCRIPTSBASEDIR)/epub-cover-docinfo-template-new.xml $(DOCNAME)-$*-docinfo.xml

#English epub
$(DOCNAME).epub: $(DOCNAME).adoc $(DOCCHAPTERS) $(DOCNAME)-docinfo.xml
	a2x -f epub -a docinfo $(DOCNAME).adoc
#	rm $(DOCNAME)-docinfo.xml

#I18n epub
$(DOCNAME)-%.epub: $(DOCNAME)-%.adoc $(DOCNAME)-%-docinfo.xml
	a2x -f epub -a lang=$* -a docinfo $(DOCNAME)-$*.adoc

.PHONY: epub
epub: $(DOCNAME).epub

.PHONY: epub-all
epub-all: epub $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).epub)

################ ODT

#English odt
$(DOCNAME).odt: $(DOCNAME).xml
	pandoc -t odt -f docbook -o $(DOCNAME).odt $(DOCNAME).xml

#I18n odt
$(DOCNAME)-%.odt: $(DOCNAME)-%.xml
	pandoc -t odt -f docbook -o $(DOCNAME)-$*.odt $(DOCNAME)-$*.xml

.PHONY: odt
odt: $(DOCNAME).odt

.PHONY: odt-all
odt-all: odt $(foreach i,$(LANGUAGES),$(DOCNAME)-$(i).odt)

################ ALL

.PHONY: all
all: html pdf odt epub

.PHONY: all-all
all-all: adoc-all html-all pdf-all odt-all epub-all

################

.PHONY: clean
clean:
#Delete generated output
	rm -f $(DOCNAME).pdf
	rm -f $(DOCNAME).html
	rm -f $(DOCNAME).xml
	rm -f $(DOCNAME).epub
	rm -rf $(DOCNAME)*.epub.d
	rm -f $(DOCNAME)-docinfo.xml
	rm -f $(DOCNAME).odt
	rm -f $(foreach i,$(LANGUAGES),$(DOCNAME)*-$(i).*)

=== debian/changelog ===
kicad (4.0.5+dfsg1-4) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [375ce2f] Revert "debian/control: decrease Architectures for arch packages"
    + removing the arch specific decrease of the build architecture, it's
      really not useful here (Thx Emilio & Aurelien)
  * [b2c400d] kicad-common.lintian-overrides: ingoring Lintian
    + kicad-common is now arch dependend, silence lintian here that is saying
      kicad-common has only content that is indep but we relay on the python
      package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 25 Jan 2017 22:38:35 +0100

kicad (4.0.5+dfsg1-3) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [1835f2e] debian/control: decrease Architectures for arch packages
    + minimize the platform where kicad should be build, libboost-context-dev
      isn't on all platforms available
  * [4bd0315] manpages: adding missing manpages
  * [d1b0883] debian/copyright: reflect last changes and updates

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Jan 2017 21:51:15 +0100

kicad (4.0.5+dfsg1-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [85bda23] kicad-common: make package arch-depended
  * [e38bb91] debian/kicad.install: fix installation of man pages
  * [1e3fc2e] override_dh_fixperms: adding mised call for dh_fixperms

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Jan 2017 18:56:50 +0100

kicad (4.0.5+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [cc405a8] debian/control: adding Vcs fields after creating git tree
  * [a5b571d] rework helper script for source tarball creation
  * [e0d8156] debian/kicad.lintian-overrides: be more flexible
  * [f458b82] debian/rules: split dh_fixperms
    (Closes: #847820)
  * [dfd193b] New upstream version 4.0.5+dfsg1
    (Closes: #851000)
  * [47c248a] debian/rules: adjusting KICAD_FULL_VERSION
  * [bb3ec74] rebuild patch queue from patch-queue branch
  * [3d40398] kicad.install: re-adding the existing man pages
  * [e0fdaa1] debian/control: split of B-D package asciidoc
  * [774746f] debian/rules: remove build-arch specific target
  * [3f5b978] debian/control: adding myself to the Uploaders

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Jan 2017 21:45:37 +0100

kicad (4.0.4+dfsg2-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [41a2fdb] create patch-queue branch from the existing patches
  * [22b5df9] debian/gbp.conf: adding helper config for git-buildpackage
  * [3ea2c1d] debian/get-kicad.sh: modify script to get recent versions
  * [eebdef9] New upstream version 4.0.4+dfsg2
  * [3691290] debian/README.source: adjust info about gbp workflow
  * [706c203] debian/control: wrap and sort the entries
  * [a8f2838] place desktop file in favour of a menu files
  * [4f033cf] kicad-doc*: adopt the documentation packages
  * [8d7dd1a] debian/copyright: adjust copyright information
  * [8d417ff] kicad: using the debhelper sequencer file mechanism
  * [38470c3] kicad-common: also using debhelper sequencer files
  * [e4be662] debian/control: adding new helper for dh_python2 support
  * [bb84cb9] debian/watch: adjusting watch URL and filemangle
  * [522a99e] debian/rules: enabling cmake build with some overrides
    (Closes: #833685)
  * [32f83db] debian/kicad.lintian-overrides: some needed overrides
  * [1ce57ed] rebuild patch queue from patch-queue branch
  * [182cc1a] rebuild patch queue from patch-queue branch
  * [5eb0382] kicad: enable the BUILD_GITHUB_PLUGIN (Closes: #820261)
  * [a200091] debian/copyright: adopt changes due libcurl support
  * [6e43839] debian/control: adding explicit python dep for kicad-common
  * [b96a3b7] debian/control: set Multi-Arch: foreign also on Arch: all
  * [6e15016] rebuild patch queue from patch-queue branch
  * [a869507] fix some buildflag hardening issues
  * [95bb23d] rebuild patch queue from patch-queue branch
  * [bc820d2] debian/rules: adding date from changelog to the Asciidoc files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Nov 2016 09:20:38 +0100

kicad (4.0.4+dfsg1-2) unstable; urgency=medium

  * Removed the spurious dependency on libglew, which should be computed
    automatically by debian helper scripts. Closes: #838536

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 30 Sep 2016 14:46:55 +0200
